gtkmm: Gtk::CellRendererPixbuf Class Reference

gtkmm 3.24.10

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::CellRendererPixbuf Class Reference
TreeView Classes

Renders a pixbuf in a cell. More...

`#include <gtkmm/cellrendererpixbuf.h>`

Inheritance diagram for Gtk::CellRendererPixbuf:
[legend]

## Public Member Functions
| CellRendererPixbuf (CellRendererPixbuf && src) noexcept
CellRendererPixbuf & | operator= (CellRendererPixbuf && src) noexcept
| CellRendererPixbuf (const CellRendererPixbuf &)=delete
CellRendererPixbuf & | operator= (const CellRendererPixbuf &)=delete
| ~CellRendererPixbuf () noexcept override
GtkCellRendererPixbuf * | gobj ()
| Provides access to the underlying C GObject.
const GtkCellRendererPixbuf * | gobj () const
| Provides access to the underlying C GObject.
| CellRendererPixbuf ()
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf ()
| The pixbuf to render.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf () const
| The pixbuf to render.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf_expander_open ()
| Pixbuf for open expander.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf_expander_open () const
| Pixbuf for open expander.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf_expander_closed ()
| Pixbuf for closed expander.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf_expander_closed () const
| Pixbuf for closed expander.
Glib::PropertyProxy< Glib::ustring > | property_stock_id ()
| The stock ID of the stock icon to render.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_stock_id () const
| The stock ID of the stock icon to render.
Glib::PropertyProxy< guint > | property_stock_size ()
| The Gtk::IconSize value that specifies the size of the rendered icon.
Glib::PropertyProxy_ReadOnly< guint > | property_stock_size () const
| The Gtk::IconSize value that specifies the size of the rendered icon.
Glib::PropertyProxy< Glib::ustring > | property_stock_detail ()
| Render detail to pass to the theme engine.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_stock_detail () const
| Render detail to pass to the theme engine.
Glib::PropertyProxy< Glib::ustring > | property_icon_name ()
| The name of the themed icon to display.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_icon_name () const
| The name of the themed icon to display.
Glib::PropertyProxy< bool > | property_follow_state ()
| Specifies whether the rendered pixbuf should be colorized according to the Gtk::CellRendererState.
Glib::PropertyProxy_ReadOnly< bool > | property_follow_state () const
| Specifies whether the rendered pixbuf should be colorized according to the Gtk::CellRendererState.
Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > | property_gicon ()
| The GIcon representing the icon to display.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > | property_gicon () const
| The GIcon representing the icon to display.
Glib::PropertyProxy< ::Cairo::RefPtr< ::Cairo::Surface > > | property_surface ()
| The surface to render.
Glib::PropertyProxy_ReadOnly< ::Cairo::RefPtr< ::Cairo::Surface > > | property_surface () const
| The surface to render.
Public Member Functions inherited from Gtk::CellRenderer
| CellRenderer (CellRenderer && src) noexcept
CellRenderer & | operator= (CellRenderer && src) noexcept
| CellRenderer (const CellRenderer &)=delete
CellRenderer & | operator= (const CellRenderer &)=delete
| ~CellRenderer () noexcept override
GtkCellRenderer * | gobj ()
| Provides access to the underlying C GObject.
const GtkCellRenderer * | gobj () const
| Provides access to the underlying C GObject.
SizeRequestMode | get_request_mode () const
| Gets whether the cell renderer prefers a height-for-width layout or a width-for-height layout.
void | get_preferred_width (Widget & widget, int & minimum_width, int & natural_width) const
| Retreives a renderer’s natural size when rendered to widget.
void | get_preferred_height_for_width (Widget & widget, int width, int & minimum_height, int & natural_height) const
| Retreives a cell renderers’s minimum and natural height if it were rendered to widget with the specified width.
void | get_preferred_height (Widget & widget, int & minimum_height, int & natural_height) const
| Retreives a renderer’s natural size when rendered to widget.
void | get_preferred_width_for_height (Widget & widget, int height, int & minimum_width, int & natural_width) const
| Retreives a cell renderers’s minimum and natural width if it were rendered to widget with the specified height.
void | get_preferred_size (Widget & widget, Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a cell taking into account the widget’s preference for height-for-width management.
void | get_aligned_area (Widget & widget, CellRendererState flags, const Gdk::Rectangle & cell_area, Gdk::Rectangle & aligned_area)
| Gets the aligned area used by cell inside cell_area.
void | render (const ::Cairo::RefPtr< ::Cairo::Context > & cr, Widget & widget, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
| Invokes the virtual render function of the Gtk::CellRenderer.
bool | activate (GdkEvent * event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
| Passes an activate event to the cell renderer for possible processing.
CellEditable * | start_editing (GdkEvent * event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags=CellRendererState(0))
| Starts editing the contents of this cell, through a new Gtk::CellEditable widget created by the Gtk::CellRendererClass.start_editing virtual function.
void | set_fixed_size (int width, int height)
| Sets the renderer size to be explicit, independent of the properties set.
void | get_fixed_size (int & width, int & height) const
| Fills in width and height with the appropriate size of cell.
void | set_alignment (float xalign, float yalign)
| Sets the renderer’s alignment within its available space.
void | get_alignment (float & xalign, float & yalign) const
| Fills in xalign and yalign with the appropriate values of cell.
void | set_padding (int xpad, int ypad)
| Sets the renderer’s padding.
void | get_padding (int & xpad, int & ypad) const
| Fills in xpad and ypad with the appropriate values of cell.
void | set_visible (bool visible=true)
| Sets the cell renderer’s visibility.
bool | get_visible () const
| Returns the cell renderer’s visibility.
void | set_sensitive (bool sensitive=true)
| Sets the cell renderer’s sensitivity.
bool | get_sensitive () const
| Returns the cell renderer’s sensitivity.
bool | is_activatable () const
| Checks whether the cell renderer can do something when activated.
void | stop_editing (bool canceled=false)
| Informs the cell renderer that the editing is stopped.
StateFlags | get_state (Widget & widget, CellRendererState cell_state) const
| Translates the cell renderer state to Gtk::StateFlags, based on the cell renderer and widget sensitivity, and the given Gtk::CellRendererState.
StateFlags | get_state (CellRendererState cell_state) const
| Translates the cell renderer state to StateFlags, based on the cell renderer and the given CellRendererState.
Glib::SignalProxy< void > | signal_editing_canceled ()
Glib::SignalProxy< void, CellEditable *, const Glib::ustring & > | signal_editing_started ()
Glib::PropertyProxy< CellRendererMode > | property_mode ()
| Editable mode of the CellRenderer.
Glib::PropertyProxy_ReadOnly< CellRendererMode > | property_mode () const
| Editable mode of the CellRenderer.
Glib::PropertyProxy< bool > | property_visible ()
| Display the cell.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Display the cell.
Glib::PropertyProxy< bool > | property_sensitive ()
| Display the cell sensitive.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Display the cell sensitive.
Glib::PropertyProxy< float > | property_xalign ()
| The x-align.
Glib::PropertyProxy_ReadOnly< float > | property_xalign () const
| The x-align.
Glib::PropertyProxy< float > | property_yalign ()
| The y-align.
Glib::PropertyProxy_ReadOnly< float > | property_yalign () const
| The y-align.
Glib::PropertyProxy< unsigned int > | property_xpad ()
| The xpad.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_xpad () const
| The xpad.
Glib::PropertyProxy< unsigned int > | property_ypad ()
| The ypad.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_ypad () const
| The ypad.
Glib::PropertyProxy< int > | property_width ()
| The fixed width.
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| The fixed width.
Glib::PropertyProxy< int > | property_height ()
| The fixed height.
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| The fixed height.
Glib::PropertyProxy< bool > | property_is_expander ()
| Row has children.
Glib::PropertyProxy_ReadOnly< bool > | property_is_expander () const
| Row has children.
Glib::PropertyProxy< bool > | property_is_expanded ()
| Row is an expander row, and is expanded.
Glib::PropertyProxy_ReadOnly< bool > | property_is_expanded () const
| Row is an expander row, and is expanded.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_cell_background ()
| Cell background color as a string.
Glib::PropertyProxy< Gdk::Color > | property_cell_background_gdk ()
| Cell background as a Gdk::Color.
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_cell_background_gdk () const
| Cell background as a Gdk::Color.
Glib::PropertyProxy< Gdk::RGBA > | property_cell_background_rgba ()
| Cell background as a Gdk::RGBA.
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_cell_background_rgba () const
| Cell background as a Gdk::RGBA.
Glib::PropertyProxy< bool > | property_cell_background_set ()
| Whether the cell background color is set.
Glib::PropertyProxy_ReadOnly< bool > | property_cell_background_set () const
| Whether the cell background color is set.
Glib::PropertyProxy_ReadOnly< bool > | property_editing () const
| Whether the cell renderer is currently in editing mode.
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
GObject * | gobj ()
| Provides access to the underlying C GObject.
const GObject * | gobj () const
| Provides access to the underlying C GObject.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::CellRenderer
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Gtk::CellRendererPixbuf * | wrap (GtkCellRendererPixbuf * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::CellRenderer
Gtk::CellRenderer * | wrap (GtkCellRenderer * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Gtk::CellRenderer
virtual void | on_editing_canceled ()
| This is a default handler for the signal signal_editing_canceled().
virtual void | on_editing_started (CellEditable * editable, const Glib::ustring & path)
| This is a default handler for the signal signal_editing_started().
| CellRenderer ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (Widget & widget, int & minimum_width, int & natural_width) const
virtual void | get_preferred_height_for_width_vfunc (Widget & widget, int width, int & minimum_height, int & natural_height) const
virtual void | get_preferred_height_vfunc (Widget & widget, int & minimum_height, int & natural_height) const
virtual void | get_preferred_width_for_height_vfunc (Widget & widget, int height, int & minimum_width, int & natural_width) const
virtual void | render_vfunc (const ::Cairo::RefPtr< ::Cairo::Context > & cr, Widget & widget, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
virtual bool | activate_vfunc (GdkEvent * event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
virtual CellEditable * | start_editing_vfunc (GdkEvent * event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

Renders a pixbuf in a cell.

A CellRendererPixbuf can be used to render an image in a cell. It allows you to render either a given Pixbuf (set via the pixbuf property) or a stock icon (set via the stock_id property).

To support the tree view, CellRendererPixbuf also supports rendering two alternative pixbufs, when the is_expanded property is true. If the is_expanded property is true and the pixbuf_expander_open property is set to a pixbuf, it renders that pixbuf. If the is_expanded property is false and the * pixbuf_expander_closed property is set to a pixbuf, it renders that one.

## Constructor & Destructor Documentation

## ◆ CellRendererPixbuf() [1/3]

Gtk::CellRendererPixbuf::CellRendererPixbuf | ( | CellRendererPixbuf && | src | ) |
| noexcept

## ◆ CellRendererPixbuf() [2/3]

Gtk::CellRendererPixbuf::CellRendererPixbuf | ( | const CellRendererPixbuf & |  | ) |
| delete

## ◆ ~CellRendererPixbuf()

Gtk::CellRendererPixbuf::~CellRendererPixbuf | ( |  | ) |
| overridenoexcept

## ◆ CellRendererPixbuf() [3/3]

Gtk::CellRendererPixbuf::CellRendererPixbuf | ( |  | ) |

## Member Function Documentation

## ◆ get_type()

GType Gtk::CellRendererPixbuf::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkCellRendererPixbuf * Gtk::CellRendererPixbuf::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkCellRendererPixbuf * Gtk::CellRendererPixbuf::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=() [1/2]

CellRendererPixbuf & Gtk::CellRendererPixbuf::operator= | ( | CellRendererPixbuf && | src | ) |
| noexcept

## ◆ operator=() [2/2]

CellRendererPixbuf & Gtk::CellRendererPixbuf::operator= | ( | const CellRendererPixbuf & |  | ) |
| delete

## ◆ property_follow_state() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererPixbuf::property_follow_state | ( |  | ) |

Specifies whether the rendered pixbuf should be colorized according to the Gtk::CellRendererState.

Since gtkmm 2.8

Deprecated: 3.16: Cell renderers always follow state.

Deprecated
  Cell renderers always follow state.

Default value: true

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_follow_state() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererPixbuf::property_follow_state | ( |  | ) | const

Specifies whether the rendered pixbuf should be colorized according to the Gtk::CellRendererState.

Since gtkmm 2.8

Deprecated: 3.16: Cell renderers always follow state.

Deprecated
  Cell renderers always follow state.

Default value: true

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_gicon() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > Gtk::CellRendererPixbuf::property_gicon | ( |  | ) |

The GIcon representing the icon to display.

If the icon theme is changed, the image will be updated automatically.

Since gtkmm 2.14

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_gicon() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > Gtk::CellRendererPixbuf::property_gicon | ( |  | ) | const

The GIcon representing the icon to display.

If the icon theme is changed, the image will be updated automatically.

Since gtkmm 2.14

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_icon_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererPixbuf::property_icon_name | ( |  | ) |

The name of the themed icon to display.

This property only has an effect if not overridden by "stock_id" or "pixbuf" properties.

Since gtkmm 2.8

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_icon_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererPixbuf::property_icon_name | ( |  | ) | const

The name of the themed icon to display.

This property only has an effect if not overridden by "stock_id" or "pixbuf" properties.

Since gtkmm 2.8

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixbuf() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > Gtk::CellRendererPixbuf::property_pixbuf | ( |  | ) |

The pixbuf to render.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixbuf() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > Gtk::CellRendererPixbuf::property_pixbuf | ( |  | ) | const

The pixbuf to render.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixbuf_expander_closed() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > Gtk::CellRendererPixbuf::property_pixbuf_expander_closed | ( |  | ) |

Pixbuf for closed expander.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixbuf_expander_closed() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > Gtk::CellRendererPixbuf::property_pixbuf_expander_closed | ( |  | ) | const

Pixbuf for closed expander.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixbuf_expander_open() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > Gtk::CellRendererPixbuf::property_pixbuf_expander_open | ( |  | ) |

Pixbuf for open expander.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixbuf_expander_open() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > Gtk::CellRendererPixbuf::property_pixbuf_expander_open | ( |  | ) | const

Pixbuf for open expander.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_stock_detail() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererPixbuf::property_stock_detail | ( |  | ) |

Render detail to pass to the theme engine.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_stock_detail() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererPixbuf::property_stock_detail | ( |  | ) | const

Render detail to pass to the theme engine.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_stock_id() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererPixbuf::property_stock_id | ( |  | ) |

The stock ID of the stock icon to render.

Since gtkmm 2.2

Deprecated: 3.10: Use Gtk::CellRendererPixbuf::property_icon_name() instead.

Deprecated
  Use property_icon_name() instead.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_stock_id() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererPixbuf::property_stock_id | ( |  | ) | const

The stock ID of the stock icon to render.

Since gtkmm 2.2

Deprecated: 3.10: Use Gtk::CellRendererPixbuf::property_icon_name() instead.

Deprecated
  Use property_icon_name() instead.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_stock_size() [1/2]

Glib::PropertyProxy< guint > Gtk::CellRendererPixbuf::property_stock_size | ( |  | ) |

The Gtk::IconSize value that specifies the size of the rendered icon.

Since gtkmm 2.2

Default value: 1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_stock_size() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gtk::CellRendererPixbuf::property_stock_size | ( |  | ) | const

The Gtk::IconSize value that specifies the size of the rendered icon.

Since gtkmm 2.2

Default value: 1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_surface() [1/2]

Glib::PropertyProxy< ::Cairo::RefPtr< ::Cairo::Surface > > Gtk::CellRendererPixbuf::property_surface | ( |  | ) |

The surface to render.

Since gtkmm 3.10

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_surface() [2/2]

Glib::PropertyProxy_ReadOnly< ::Cairo::RefPtr< ::Cairo::Surface > > Gtk::CellRendererPixbuf::property_surface | ( |  | ) | const

The surface to render.

Since gtkmm 3.10

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Gtk::CellRendererPixbuf * wrap | ( | GtkCellRendererPixbuf * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.